Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptix.pki
Class ExtendedCertStoreSpi

    java.lang.Object
      java.security.cert.CertStoreSpi
          cryptix.pki.ExtendedCertStoreSpi

public abstract class ExtendedCertStoreSpi
extends java.security.cert.CertStoreSpi

DOCUMENT ME

Version:
  $Revision: 1.3 $
Author:
  Edwin Woudt

Constructor Summary
`ExtendedCertStoreSpi(java.security.cert.CertStoreParameters params)` Main constructor

Method Summary
`abstract java.util.Collection` | `engineGetKeyBundles(KeyBundleSelector selector)` Returns a Collection of KeyBundles matching the given selector.
`abstract void` | `engineSetKeyBundleEntry(KeyBundle bundle)` Stores the given keybundle in this store.

Methods inherited from class java.security.cert.CertStoreSpi
`engineGetCertificates, engineGetCRLs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtendedCertStoreSpi

    public ExtendedCertStoreSpi(java.security.cert.CertStoreParameters params)
                         throws java.security.InvalidAlgorithmParameterException

  Main constructor

Parameters:
  `params` - the initialization parameters (can be null).
Throws:
  `java.security.InvalidAlgorithmParameterException` - if the given parameters are invalid.

Method Detail

### engineGetKeyBundles

    public abstract java.util.Collection engineGetKeyBundles(KeyBundleSelector selector)
                                                      throws java.security.cert.CertStoreException

  Returns a Collection of KeyBundles matching the given selector.

  If no matches can be found, an empty collection will be returned.

  Parameters:
    `selector` - A selector that specifies which keybundles to return. Specify null here to return all keybundles (if supported).
  Returns:
    a (possibly empty) Collection of KeyBundles that match the given selector.
  Throws:
    `java.security.cert.CertStoreException` - on a variety of type specific problems, including no support for the 'null' selector.

### engineSetKeyBundleEntry

    public abstract void engineSetKeyBundleEntry(KeyBundle bundle)
                                          throws java.security.cert.CertStoreException

  Stores the given keybundle in this store.

  Parameters:
    `bundle` - the bundle to store
  Throws:
    `java.security.cert.CertStoreException` - on a variety of type specific problems

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Cryptix OpenPGP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 1999-2003 The Cryptix Foundation Ltd.